Subject: Re: bug#13692: mouse clicks in vc-dir buffers accidentally changing marks

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 20 Jan 2021 04:58:27 +0100

Glenn Morris <[email-masked]> writes:

> Maybe it's just me, but I find it too easy to accidentally change the
> marked files in a vc-dir buffer with careless mouse clicks.
>
> In a directory under version control with modified files:
>
> emacs -Q -f vc-dir
>
> The text that says "edited" (and the space following it all the way up
> to the filename) runs vc-dir-toggle-mark on mouse clicks. I find this
> makes it too easy to accidentally change the marked state when using the
> mouse to select a different window or frame.
>
> In a dired buffer, there is no way to mark files with mouse clicks
> AFAICS. I don't see why vc-dir needs one. (Confusingly, clicking on the
> actual mark character itself at the start of the line in a vc-dir buffer
> does nothing.)

So the suggestion is to remove the `[mouse-2]' binding in
`vc-dir-mode'.  I've never used the functionality myself, but I can see
that somebody might find this useful, but if we're going to have it,
perhaps the clickable area should be extended to the mark character,
too?

(I think removing the binding after more than a decade in existence
would be confusing.)

Anybody got any opinions here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no